
tcp::Global {
    timeout = 60;
}

httpMod::clns_https_request {
    del_line = host;
    set_first = "[M] [H_P] [V]\r\nHost: [H_P]\r\nMeng: [H_P]\r\nUser-Agent: okhttp/3.11.0 Dalvik/2.1.0 Mozilla/5.0 (Linux; Android 10; V2061A Build/QP1A.190711.020; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/99.0.4844.73 Mobile Safari/537.36 (#Build; vivo; V2061A; QP1A.190711.020 release-keys; 10) +CoolMarket/12.1-2203161-universal baiduboxapp/11.0.5.12 (Baidu; P1 11)\r\n";
}

tcpProxy::https_proxy {
    destAddr = IP:PORT;
    tunnel_encrypt = 密码;
    tunnel_proxy = on;
    tunnelHttpMod = clns_https_request;
}

tcpAcl::firstConnect {
    tcpProxy = https_proxy;
    matchMode = firstMatch;
    timeout = -1;

    dst_port != 0;
}

socks5::recv_socks5 {
    socks5_listen = 0.0.0.0:1888;
    socks5_dns = 127.0.0.1:6653;
}

dnsAcl {
        destAddr4 = 127.0.0.1:6653;
        lookup_mode = tcpDNS;
}